// Custom Theming for Angular Material
// For more information: https://material.angular.io/guide/theming
@import "~@angular/material/theming";
// Plus imports for other components in your app.

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat-core();

$ael-light-green: (
  50: #f1f8e9,
  100: #dcedc8,
  200: #c5e1a5,
  300: #aed581,
  400: #9ccc65,
  500: #8bc34a,
  600: #7fc241,
  700: #689f38,
  800: #558b2f,
  900: #33691e,
  A100: #ccff90,
  A200: #b2ff59,
  A400: #76ff03,
  A700: #64dd17,
  contrast: (
    50: $dark-primary-text,
    100: $dark-primary-text,
    200: $dark-primary-text,
    300: $dark-primary-text,
    400: $dark-primary-text,
    500: $dark-primary-text,
    600: $light-primary-text,
    700: $light-primary-text,
    800: $light-primary-text,
    900: $light-primary-text,
    A100: $dark-primary-text,
    A200: $dark-primary-text,
    A400: $dark-primary-text,
    A700: $dark-primary-text
  )
);

$ael-teal: (
  50: #e0f2f1,
  100: #b2dfdb,
  200: #80cbc4,
  300: #4db6ac,
  400: #26a69a,
  500: #009688,
  600: #00897b,
  700: #00805d,
  800: #00695c,
  900: #004d40,
  A100: #a7ffeb,
  A200: #64ffda,
  A400: #1de9b6,
  A700: #00bfa5,
  contrast: (
    50: $dark-primary-text,
    100: $dark-primary-text,
    200: $dark-primary-text,
    300: $dark-primary-text,
    400: $dark-primary-text,
    500: $light-primary-text,
    600: $light-primary-text,
    700: $light-primary-text,
    800: $light-primary-text,
    900: $light-primary-text,
    A100: $dark-primary-text,
    A200: $dark-primary-text,
    A400: $dark-primary-text,
    A700: $dark-primary-text
  )
);

$ael-amber: (
  50: #fff8e1,
  100: #ffecb3,
  200: #ffe082,
  300: #ffd54f,
  400: #ffca28,
  500: #ffc107,
  600: #fdb813,
  700: #ffa000,
  800: #f68b1e,
  900: #ff6f00,
  A100: #ffe57f,
  A200: #ffd740,
  A400: #ffc400,
  A700: #ffab00,
  contrast: (
    50: $dark-primary-text,
    100: $dark-primary-text,
    200: $dark-primary-text,
    300: $dark-primary-text,
    400: $dark-primary-text,
    500: $dark-primary-text,
    600: $dark-primary-text,
    700: $dark-primary-text,
    800: $dark-primary-text,
    900: $dark-primary-text,
    A100: $dark-primary-text,
    A200: $dark-primary-text,
    A400: $dark-primary-text,
    A700: $dark-primary-text
  )
);

// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/7fc241
$cliente-angular-primary: mat-palette($ael-teal, 700);
$cliente-angular-accent: mat-palette($ael-light-green, 600);

// The warn palette is optional (defaults to red).
//$cliente-angular-warn: mat-palette($mat-deep-orange,700);

// Create the theme object (a Sass map containing all of the palettes).
//$cliente-angular-theme: mat-light-theme($cliente-angular-primary, $cliente-angular-accent, $cliente-angular-warn);
$cliente-angular-theme: mat-light-theme(
  $cliente-angular-primary,
  $cliente-angular-accent
);

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
@include angular-material-theme($cliente-angular-theme);

/* You can add global styles to this file, and also import other style files */

html,
body {
  height: 100%;
}

body {
  margin: 0;
}

* {
  font-family: Century Gothic, Arial, sans-serif !important; //Roboto, "Helvetica Neue", sans-serif
}

h1 {
  color: #00805d;
  font-weight: normal;
  text-align: center;
  margin: 1.5em;
}

h3,
p,
td,
tr,
input[type="text"],
input[type="number"],
input[type="email"],
input[type="password"],
output {
  color: #888;
}

p {
  text-align: left;
}

a:link {
  text-decoration: none;
  color: #73b139;
}

a:link:hover {
  text-decoration: none;
  color: #00805d;
}

a:link:active {
  text-decoration: none;
  color: #2a926a;
}

table {
  margin: auto;
}

button.mat-primary {
  margin: auto 0.5em !important;
}

button.mat-green {
  margin: auto 0.5em !important;
}

.margin-half {
    margin: 0.5em;
}

.margin-1 {
    margin: 1em;
}

.margin-2 {
    margin: 2em;
}

.margin-3 {
    margin: 3em;
}

.hide {
  display: none;
}

.bold {
  font-weight: bold;
}

.container {
  text-align: center;
  margin: 2em;
}

.center {
  text-align: center !important;
  align-items: center !important;
  align-self: center !important;
  align-content: center !important;
  vertical-align: middle !important;
}

  .center > * {
    text-align: center !important;
    align-items: center !important;
    align-self: center !important;
    align-content: center !important;
    vertical-align: middle !important;
  }

.right {
  text-align: right !important;
  align-items: flex-end !important;
  align-self: flex-end !important;
  align-content: flex-end !important;
  vertical-align: middle !important;
}

  .right > * {
    text-align: right !important;
    align-items: flex-end !important;
    align-self: flex-end !important;
    align-content: flex-end !important;
    vertical-align: middle !important;
  }

.left {
  text-align: left !important;
  align-items: flex-start !important;
  align-self: flex-start !important;
  align-content: flex-start !important;
  vertical-align: middle !important;
}

  .left > * {
    text-align: left !important;
    align-items: flex-start !important;
    align-self: flex-start !important;
    align-content: flex-start !important;
    vertical-align: middle !important;
  }

.justify {
  text-align: justify !important;
  align-items: flex-start !important;
  align-self: flex-start !important;
  align-content: flex-start !important;
  vertical-align: middle !important;
}

  .justify > * {
    text-align: justify !important;
    align-items: flex-start !important;
    align-self: flex-start !important;
    align-content: flex-start !important;
    vertical-align: middle !important;
  }

.mat-card {
  text-align: center;
}

.mat-transparent {
  background-color: transparent !important;
}

.mat-soft-grey {
  background-color: #bdbdbd !important;
  color: white !important;
}

.mat-danger {
  background-color: #ed4933 !important;
  color: white !important;
}

.mat-success {
  background-color: #007a5e !important;
  color: white !important;
}

.mat-green {
  background-color: #7fc241 !important;
  color: white !important;
}

.mat-warning {
  background-color: #f68b1e !important;
  color: white !important;
}

.mat-orange {
  background-color: #f1b016 !important;
  color: white !important;
}

.mat-light-alert {
  background-color: #ef9a71 !important;
  color: white !important;
}

.mat-light-double-danger {
  background-color: #ff7866 !important;
  color: white !important;
}

.mat-light-danger {
  background-color: #f6a499 !important;
  color: white !important;
}

.mat-light-success {
  background-color: #80bdaf !important;
  color: white !important;
}

.mat-light-green {
  background-color: #bfe1a0 !important;
  color: white !important;
}

.mat-light-double-warning {
  background-color: #ffa64d !important;
  color: white !important;
}

.mat-light-warning {
  background-color: #fbc58f !important;
  color: white !important;
}

.mat-light-orange {
  background-color: #f8d88b !important;
  color: white !important;
}

//--------------------------------------------------------------------------------//

.text-danger {
  color: #ed4933 !important;
}

.text-success {
  color: #007a5e !important;
}

.text-green {
  color: #7fc241 !important;
}

.text-warning {
  color: #f68b1e !important;
}

.text-orange {
  color: #f1b016 !important;
}

.text-grey {
  color: #888 !important;
}

.transparent {
  background-color: transparent !important;
}

.soft-grey {
  background-color: #bdbdbd !important;
  color: white !important;
}

.danger {
  background-color: #ed4933 !important;
  color: white !important;
}

.success {
  background-color: #007a5e !important;
  color: white !important;
}

.green {
  background-color: #7fc241 !important;
  color: white !important;
}

.warning {
  background-color: #f68b1e !important;
  color: white !important;
}

.orange {
  background-color: #f1b016 !important;
  color: white !important;
}

.text-light-danger {
  color: #f6a499 !important;
}

.text-light-success {
  color: #80bdaf !important;
}

.text-light-green {
  color: #7fc241 !important;
  opacity: 0.5;
}

.text-light-warning {
  color: #fbc58f !important;
}

.text-light-orange {
  color: #f1b016 !important;
  opacity: 0.5;
}

.light-alert {
  background-color: #ef9a71 !important;
  color: white !important;
}

.light-double-danger {
  background-color: #ff7866 !important;
  color: white !important;
}

.light-danger {
  background-color: #f6a499 !important;
  color: white !important;
}

.light-success {
  background-color: #80bdaf !important;
  color: white !important;
}

.light-green {
  background-color: #7fc241 !important;
  color: white !important;
  opacity: 0.5;
}

.light-double-warning {
  background-color: #ffa64d !important;
  color: white !important;
}

.light-warning {
  background-color: #fbc58f !important;
  color: white !important;
}

.light-orange {
  background-color: #f1b016 !important;
  color: white !important;
  opacity: 0.5;
}

/*
nvd3 styles
*/

/* nvd3 version 1.8.5-dev (https://github.com/novus/nvd3) 2016-12-08 */

#main {
  float: left;
  width: 100%;
  margin-bottom: 2em;
}

#sidebar {
  top: 0;
  right: 0;
  width: 13%;
  position: absolute;
  text-align: center;
  border: 1px solid #dedede;
  padding: 1em;
}

#sequence {
  width: 100%;
  text-align: left;
  display: inline-block;
}

// #legend { 
//     right: 0;
//     position: absolute;
// }

#sequence text,
#legend text {
  font-weight: 600;
  fill: #fff;
  font-size: 0.8em;
}

#chart {
  position: relative;
}

#chart path {
  stroke: #fff;
}

#explanation {
  position: absolute;
  top: 35%;
  left: 38%;
  width: 24%;
  height: 30%;
  text-align: center;
  color: #666;
  z-index: -1;
}

#percentage {
  font-size: 2.5em;
}

.nvd3 .nv-axis {
  pointer-events: none;
  opacity: 1;
}

.nvd3 .nv-axis path {
  fill: none;
  stroke: #000;
  stroke-opacity: 0.75;
  shape-rendering: crispEdges;
}

.nvd3 .nv-axis path.domain {
  stroke-opacity: 0.75;
}

.nvd3 .nv-axis.nv-x path.domain {
  stroke-opacity: 0;
}

.nvd3 .nv-axis line {
  fill: none;
  stroke: #e5e5e5;
  shape-rendering: crispEdges;
}

.nvd3 .nv-axis .zero line,
    /*this selector may not be necessary*/ .nvd3 .nv-axis line.zero {
  stroke-opacity: 0.75;
}

.nvd3 .nv-axis .nv-axisMaxMin text {
  font-weight: bold;
}

.nvd3 .x .nv-axis .nv-axisMaxMin text,
.nvd3 .x2 .nv-axis .nv-axisMaxMin text,
.nvd3 .x3 .nv-axis .nv-axisMaxMin text {
  text-anchor: middle;
}

.nvd3 .nv-axis.nv-disabled {
  opacity: 0;
}

.nvd3 .nv-bars rect {
  fill-opacity: 0.75;

  transition: fill-opacity 250ms linear;
}

.nvd3 .nv-bars rect.hover {
  fill-opacity: 1;
}

.nvd3 .nv-bars .hover rect {
  fill: lightblue;
}

.nvd3 .nv-bars text {
  fill: rgba(0, 0, 0, 0);
}

.nvd3 .nv-bars .hover text {
  fill: rgba(0, 0, 0, 1);
}

.nvd3 .nv-multibar .nv-groups rect,
.nvd3 .nv-multibarHorizontal .nv-groups rect,
.nvd3 .nv-discretebar .nv-groups rect {
  stroke-opacity: 0;

  transition: fill-opacity 250ms linear;
}

.nvd3 .nv-multibar .nv-groups rect:hover,
.nvd3 .nv-multibarHorizontal .nv-groups rect:hover,
.nvd3 .nv-candlestickBar .nv-ticks rect:hover,
.nvd3 .nv-discretebar .nv-groups rect:hover {
  fill-opacity: 1;
}

.nvd3 .nv-discretebar .nv-groups text,
.nvd3 .nv-multibarHorizontal .nv-groups text {
  font-weight: bold;
  fill: rgba(0, 0, 0, 1);
  stroke: rgba(0, 0, 0, 0);
}

/* boxplot CSS */
.nvd3 .nv-boxplot circle {
  fill-opacity: 0.5;
}

.nvd3 .nv-boxplot circle:hover {
  fill-opacity: 1;
}

.nvd3 .nv-boxplot rect:hover {
  fill-opacity: 1;
}

.nvd3 line.nv-boxplot-median {
  stroke: black;
}

.nv-boxplot-tick:hover {
  stroke-width: 2.5px;
}
/* bullet */
.nvd3.nv-bullet {
  font: 10px sans-serif;
}
.nvd3.nv-bullet .nv-measure {
  fill-opacity: 0.8;
}
.nvd3.nv-bullet .nv-measure:hover {
  fill-opacity: 1;
}
.nvd3.nv-bullet .nv-marker {
  stroke: #000;
  stroke-width: 2px;
}
.nvd3.nv-bullet .nv-markerTriangle {
  stroke: #000;
  fill: #fff;
  stroke-width: 1.5px;
}
.nvd3.nv-bullet .nv-markerLine {
  stroke: #000;
  stroke-width: 1.5px;
}
.nvd3.nv-bullet .nv-tick line {
  stroke: #666;
  stroke-width: 0.5px;
}
.nvd3.nv-bullet .nv-range.nv-s0 {
  fill: #eee;
}
.nvd3.nv-bullet .nv-range.nv-s1 {
  fill: #ddd;
}
.nvd3.nv-bullet .nv-range.nv-s2 {
  fill: #ccc;
}
.nvd3.nv-bullet .nv-title {
  font-size: 14px;
  font-weight: bold;
}
.nvd3.nv-bullet .nv-subtitle {
  fill: #999;
}

.nvd3.nv-bullet .nv-range {
  fill: #bababa;
  fill-opacity: 0.4;
}

.nvd3.nv-bullet .nv-range:hover {
  fill-opacity: 0.7;
}

.nvd3.nv-candlestickBar .nv-ticks .nv-tick {
  stroke-width: 1px;
}

.nvd3.nv-candlestickBar .nv-ticks .nv-tick.hover {
  stroke-width: 2px;
}

.nvd3.nv-candlestickBar .nv-ticks .nv-tick.positive rect {
  stroke: #2ca02c;
  fill: #2ca02c;
}

.nvd3.nv-candlestickBar .nv-ticks .nv-tick.negative rect {
  stroke: #d62728;
  fill: #d62728;
}

.with-transitions .nv-candlestickBar .nv-ticks .nv-tick {
  transition: stroke-width 250ms linear, stroke-opacity 250ms linear;
}

.nvd3.nv-candlestickBar .nv-ticks line {
  stroke: #333;
}

.nv-force-node {
  stroke: #fff;
  stroke-width: 1.5px;
}

.nv-force-link {
  stroke: #999;
  stroke-opacity: 0.6;
}

.nv-force-node text {
  stroke-width: 0px;
}

// .nvd3 .nv-legend .nv-disabled rect {
//     /*fill-opacity: 0;*/
// }

.nvd3 .nv-check-box .nv-box {
  fill-opacity: 0;
  stroke-width: 2;
}

.nvd3 .nv-check-box .nv-check {
  fill-opacity: 0;
  stroke-width: 4;
}

.nvd3 .nv-series.nv-disabled .nv-check-box .nv-check {
  fill-opacity: 0;
  stroke-opacity: 0;
}

.nvd3 .nv-controlsWrap .nv-legend .nv-check-box .nv-check {
  opacity: 0;
}

/* line plus bar */
.nvd3.nv-linePlusBar .nv-bar rect {
  fill-opacity: 0.75;
}

.nvd3.nv-linePlusBar .nv-bar rect:hover {
  fill-opacity: 1;
}
.nvd3 .nv-groups path.nv-line {
  fill: none;
}

.nvd3 .nv-groups path.nv-area {
  stroke: none;
}

.nvd3.nv-line .nvd3.nv-scatter .nv-groups .nv-point {
  fill-opacity: 0;
  stroke-opacity: 0;
}

.nvd3.nv-scatter.nv-single-point .nv-groups .nv-point {
  fill-opacity: 0.5 !important;
  stroke-opacity: 0.5 !important;
}

.with-transitions .nvd3 .nv-groups .nv-point {
  transition: stroke-width 250ms linear, stroke-opacity 250ms linear;
}

.nvd3.nv-scatter .nv-groups .nv-point.hover,
.nvd3 .nv-groups .nv-point.hover {
  stroke-width: 7px;
  fill-opacity: 0.95 !important;
  stroke-opacity: 0.95 !important;
}

.nvd3 .nv-point-paths path {
  stroke: #aaa;
  stroke-opacity: 0;
  fill: #eee;
  fill-opacity: 0;
}

.nvd3 .nv-indexLine {
  cursor: ew-resize;
}

/********************
 * SVG CSS
 */

/********************
  Default CSS for an svg element nvd3 used
*/
svg.sunburst.nvd3-svg {
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  display: block;
  margin: 0 auto;
}

/********************
  Box shadow and border radius styling
*/
.nvtooltip.with-3d-shadow,
.with-3d-shadow .nvtooltip {
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
  border-radius: 5px;
}

.nvd3 text {
  font: 700 1em Arial, sans-serif;
  fill: white;
}

.nvd3 .title {
  font: bold 14px Arial, sans-serif;
}

.nvd3 .nv-background {
  fill: white;
  fill-opacity: 0;
}

.nvd3.nv-noData {
  font-size: 18px;
  font-weight: bold;
}

/**********
*  Brush
*/

.nv-brush .extent {
  fill-opacity: 0.125;
  shape-rendering: crispEdges;
}

.nv-brush .resize path {
  fill: #eee;
  stroke: #666;
}

/**********
*  Legend
*/

.nvd3 .nv-legend .nv-series {
  cursor: pointer;
}

.nvd3 .nv-legend .nv-disabled circle {
  fill-opacity: 0;
}

/* focus */
.nvd3 .nv-brush .extent {
  fill-opacity: 0 !important;
}

.nvd3 .nv-brushBackground rect {
  stroke: #000;
  stroke-width: 0.4;
  fill: #fff;
  fill-opacity: 0.7;
}

/**********
*  Print
*/

@media print {
  .nvd3 text {
    stroke-width: 0;
    fill-opacity: 1;
  }
}

.nvd3.nv-ohlcBar .nv-ticks .nv-tick {
  stroke-width: 1px;
}

.nvd3.nv-ohlcBar .nv-ticks .nv-tick.hover {
  stroke-width: 2px;
}

.nvd3.nv-ohlcBar .nv-ticks .nv-tick.positive {
  stroke: #2ca02c;
}

.nvd3.nv-ohlcBar .nv-ticks .nv-tick.negative {
  stroke: #d62728;
}

.nvd3 .background path {
  fill: none;
  stroke: #eee;
  stroke-opacity: 0.4;
  shape-rendering: crispEdges;
}

.nvd3 .foreground path {
  fill: none;
  stroke-opacity: 0.7;
}

.nvd3 .nv-parallelCoordinates-brush .extent {
  fill: #fff;
  fill-opacity: 0.6;
  stroke: gray;
  shape-rendering: crispEdges;
}

.nvd3 .nv-parallelCoordinates .hover {
  fill-opacity: 1;
  stroke-width: 3px;
}

.nvd3 .missingValuesline line {
  fill: none;
  stroke: black;
  stroke-width: 1;
  stroke-opacity: 1;
  stroke-dasharray: 5, 5;
}

.nvd3.nv-pie path {
  stroke-opacity: 0;
  transition: fill-opacity 250ms linear, stroke-width 250ms linear,
    stroke-opacity 250ms linear;
}

.nvd3.nv-pie .nv-pie-title {
  font-size: 24px;
  fill: #009688;
}

.nvd3.nv-pie .nv-slice text {
  stroke: #000;
  stroke-width: 0;
}

.nvd3.nv-pie path {
  stroke: #fff;
  stroke-width: 1px;
  stroke-opacity: 1;
}

.nvd3.nv-pie path {
  fill-opacity: 0.7;
}

.nvd3.nv-pie .hover path {
  fill-opacity: 1;
}

.nvd3.nv-pie .nv-label {
  pointer-events: none;
}

.nvd3.nv-pie .nv-label rect {
  fill-opacity: 0;
  stroke-opacity: 0;
}

/* scatter */
.nvd3 .nv-groups .nv-point.hover {
  stroke-width: 20px;
  stroke-opacity: 0.5;
}

.nvd3 .nv-scatter .nv-point.hover {
  fill-opacity: 1;
}

.nv-noninteractive {
  pointer-events: none;
}

.nv-distx,
.nv-disty {
  pointer-events: none;
}

/* sparkline */
.nvd3.nv-sparkline path {
  fill: none;
}

.nvd3.nv-sparklineplus g.nv-hoverValue {
  pointer-events: none;
}

.nvd3.nv-sparklineplus .nv-hoverValue line {
  stroke: #333;
  stroke-width: 1.5px;
}

.nvd3.nv-sparklineplus,
.nvd3.nv-sparklineplus g {
  pointer-events: all;
}

.nvd3 .nv-hoverArea {
  fill-opacity: 0;
  stroke-opacity: 0;
}

.nvd3.nv-sparklineplus .nv-xValue,
.nvd3.nv-sparklineplus .nv-yValue {
  stroke-width: 0;
  font-size: 0.9em;
  font-weight: normal;
}

.nvd3.nv-sparklineplus .nv-yValue {
  stroke: #f66;
}

.nvd3.nv-sparklineplus .nv-maxValue {
  stroke: #2ca02c;
  fill: #2ca02c;
}

.nvd3.nv-sparklineplus .nv-minValue {
  stroke: #d62728;
  fill: #d62728;
}

.nvd3.nv-sparklineplus .nv-currentValue {
  font-weight: bold;
  font-size: 1.1em;
}
/* stacked area */
.nvd3.nv-stackedarea path.nv-area {
  fill-opacity: 0.7;
  stroke-opacity: 0;
  transition: fill-opacity 250ms linear, stroke-opacity 250ms linear;
}

.nvd3.nv-stackedarea path.nv-area.hover {
  fill-opacity: 0.9;
}

.nvd3.nv-stackedarea .nv-groups .nv-point {
  stroke-opacity: 0;
  fill-opacity: 0;
}

.nvtooltip {
  position: absolute;
  background-color: rgba(255, 255, 255, 1);
  color: rgba(0, 0, 0, 1);
  padding: 1px;
  border: 1px solid rgba(0, 0, 0, 0.2);
  z-index: 10000;
  display: block;

  font-family: Arial, sans-serif;
  font-size: 13px;
  text-align: left;
  pointer-events: none;

  white-space: nowrap;

  -webkit-user-select: none;

  -moz-user-select: none;

  -ms-user-select: none;

  user-select: none;
}

.nvtooltip {
  background: rgba(255, 255, 255, 0.8);
  border: 1px solid rgba(0, 0, 0, 0.5);
  border-radius: 4px;
}

/*Give tooltips that old fade in transition by
    putting a "with-transitions" class on the container div.
*/
.nvtooltip.with-transitions,
.with-transitions .nvtooltip {
  transition: opacity 50ms linear;

  transition-delay: 200ms;
}

.nvtooltip.x-nvtooltip,
.nvtooltip.y-nvtooltip {
  padding: 8px;
}

.nvtooltip h3 {
  margin: 0;
  padding: 4px 14px;
  line-height: 18px;
  font-weight: normal;
  background-color: rgba(247, 247, 247, 0.75);
  color: rgba(0, 0, 0, 1);
  text-align: center;

  border-bottom: 1px solid #ebebeb;

  border-radius: 5px 5px 0 0;
}

.nvtooltip p {
  margin: 0;
  padding: 5px 14px;
  text-align: center;
}

.nvtooltip span {
  display: inline-block;
  margin: 2px 0;
}

.nvtooltip table {
  margin: 6px;
  border-spacing: 0;
}

.nvtooltip table td {
  padding: 2px 9px 2px 0;
  vertical-align: middle;
}

.nvtooltip table td.key {
  font-weight: normal;
}

.nvtooltip table td.key.total {
  font-weight: bold;
}

.nvtooltip table td.value {
  text-align: right;
  font-weight: bold;
}

.nvtooltip table td.percent {
  color: darkgray;
}

.nvtooltip table tr.highlight td {
  padding: 1px 9px 1px 0;
  border-bottom-style: solid;
  border-bottom-width: 1px;
  border-top-style: solid;
  border-top-width: 1px;
}

.nvtooltip table td.legend-color-guide div {
  width: 8px;
  height: 8px;
  vertical-align: middle;
}

.nvtooltip table td.legend-color-guide div {
  width: 12px;
  height: 12px;
  border: 1px solid #999;
}

.nvtooltip .footer {
  padding: 3px;
  text-align: center;
}

.nvtooltip-pending-removal {
  pointer-events: none;
  display: none;
}

/****
Interactive Layer
*/
.nvd3 .nv-interactiveGuideLine {
  pointer-events: none;
}

.nvd3 line.nv-guideline {
  stroke: #ccc;
}
